diff a/src/java.base/share/native/libjli/java.c b/src/java.base/share/native/libjli/java.c
--- a/src/java.base/share/native/libjli/java.c
+++ b/src/java.base/share/native/libjli/java.c
@@ -1,7 +1,7 @@
 /*
- * Copyright (c) 1995, 2023, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 1995, 2024, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
  * under the terms of the GNU General Public License version 2 only, as
  * published by the Free Software Foundation.  Oracle designates this
@@ -1516,10 +1516,14 @@
         * Check for CDS option
         */
         if (JLI_StrCmp(arg, "-Xshare:dump") == 0) {
             dumpSharedSpaces = JNI_TRUE;
         }
+        if (JLI_StrCmp(arg, "-XX:AOTMode=create") == 0) {
+            // Alias for -Xshare:dump
+            dumpSharedSpaces = JNI_TRUE;
+        }
     }
 
     if (*pwhat == NULL && --argc >= 0) {
         *pwhat = *argv++;
     }
